Page MenuHomePhabricator

SVG Translate loading images halfway through
Closed, ResolvedPublic8 Story Points

Description

@Mooeypoo and I just discovered this bug in out meeting. All images on SVG Translate production instance seem to load only halfway. No errors in console.



Event Timeline

Niharika triaged this task as High priority.Mar 26 2019, 10:30 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptMar 26 2019, 10:30 PM
aezell added a subscriber: aezell.Mar 26 2019, 11:36 PM

Let's take a look at the NFS setup on Labs to see if there's some change there which might be the culprit.

Niharika set the point value for this task to 8.Apr 9 2019, 11:27 PM
Samwilson moved this task from Ready to In Development on the Community-Tech-Sprint board.

I'd thought that perhaps this was because we were rendering the PNG and then writing it to a file via PHP, so I made https://github.com/wikimedia/svgtranslate/pull/99 that uses shell-level redirection to do the same thing. Doesn't fix the problem though (still, it does feel a bit faster in my testing, so maybe it's worth doing anyway).

I've also turned off response buffering (on the staging site), and that seems to maybe have helped. Unfortunately, all the example images above are now working correctly so I'm not sure.

Will keep investigating.

I'm not currently able to find another example of this issue. Maybe the culprit was the Nginx proxy after all. If anyone finds another broken image please send this back to the in-development column.

dom_walden added a subscriber: dom_walden.

I have not seen this for any of the 40+ images I have tested so far as part of other work.

Moving this on.

Niharika closed this task as Resolved.Apr 12 2019, 10:12 PM
Niharika moved this task from Product sign-off to Done on the Community-Tech-Sprint board.

I have not seen this for any of the 40+ images I have tested so far as part of other work.

Wow! That's awesome, Dom!

Resolving this.

I've just released 0.8.0, containing code relating to this task.

Niharika moved this task from Backlog to Done on the SVG Translate Tool board.Apr 30 2019, 6:47 PM